SDL_KeyboardID(3type)

NAME
SDL_KeyboardID - This is a unique ID for a keyboard for the time it is connected to the system, and is never reused for the lifetime of the application.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef Uint32 SDL_KeyboardID;

DESCRIPTION
If the keyboard is disconnected and reconnected, it will get a new ID.

The value 0 is an invalid ID.

AVAILABILITY
This datatype is available since SDL 3.2.0.